/**
 */
var navigator = {};
}
/**
 * @syntax window.navigator.registerContentHandler(mimeType, uri, title);
 * @param {String} mimeType
 * @param {String} uri
 * @param {String} title
 * @returns {undefined}
 * @static
 */
navigator.registerContentHandler = function(mimeType,  uri,  title) {};

/**
 * @returns {Boolean}
 * @static
 */
navigator.cookieEnabled;

/**
 * @returns {String}
 * @static
 */
navigator.platform;

/**
 * @returns {String}
 * @static
 */
navigator.buildID;

/**
 * @returns {String}
 * @static
 */
navigator.userAgent;

/**
 * @returns {String}
 * @static
 */
navigator.oscpu;

/**
 * @returns {Array}
 * @static
 */
navigator.plugins;

/**
 * @returns {String}
 * @static
 */
navigator.vendor;

/**
 * @syntax window.navigator.registerProtocolHandler(protocol, uri, title);
 * @param {String} protocol
 * @param {String} uri
 * @param {String} title
 * @returns {undefined}
 * @static
 */
navigator.registerProtocolHandler = function(protocol,  uri,  title) {};

/**
 * @returns {String}
 * @static
 */
navigator.mimeTypes;

/**
 * @syntax result = window.navigator.javaEnabled();
 * @returns {Boolean}
 * @static
 */
navigator.javaEnabled = function() {};

/**
 * @returns {String}
 * @static
 */
navigator.appCodeName;

/**
 * @returns {Boolean}
 * @static
 */
navigator.onLine;

/**
 * @returns {String}
 * @static
 */
navigator.vendorSub;

/**
 * @returns {String}
 * @static
 */
navigator.appName;

/**
 * @returns {String}
 * @static
 */
navigator.product;

/**
 * @returns {String}
 * @static
 */
navigator.doNotTrack;

/**
 * @returns {String}
 * @static
 */
navigator.appVersion;

/**
 * @returns {String}
 * @static
 */
navigator.productSub;

/**
 * @returns {String}
 * @static
 */
navigator.language;

/**
 * Represents the navigator prototype object.
 * @syntax navigator.prototype
 * @static
 */
navigator.prototype;

